#   ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
#   File: ibus-stub.spec
#   Copyright 🄯 2024, 2025 Van de Bugger.
#   SPDX-License-Identifier: FSFAP
#   ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――

%vdb

Name:           ibus-stub
Version:        0.0.1
Release:        0.vdb.3%{?dist}
Summary:        Stub replacement for IBus
License:        FSFAP

Source0:        ibus-stub-README.md

BuildRequires:  vdb-rpm-macros

Provides:       ibus
Provides:       ibus%{_isa}
Requires:       ibus-libs
Requires:       ibus-libs%{_isa}

Conflicts:      ibus
Conflicts:      ibus-gtk2
Conflicts:      ibus-gtk3
Conflicts:      ibus-gtk4

%description

%{text  -- \
    IBus is an input method framework used by Gnome. Input methods are primarily used when typing
    in languages in which the number of letters or hieroglyphs exceeds the number of keys on the
    keyboard. Usually input methods are used to type in Cheneese, Japaneese, Korean, etc.

    If you do not use IBus, you may want to remove it, because IBus consumes a lot of CPU cycles
    and memory. However, removing IBus is not trivial, because Gnome Shell requires it. `dnf
    remove` will not remove IBus due to that, you have to use `rpm -e --nodeps` instead. If you
    decide to remove IBus, remember two rules: (1) do not remove `ibus-libs` package, and (2) do
    not remove IBus from running Gnome session — it may cause Gnome Shell to hung.

    However, even if you manage to remove IBus, it likely will reappear at the next system update.

    This package allows to remove IBus more conveniently. Installing this package removes all IBus
    packages (except mandatory `ibus-libs`), and prevents them from reappear when the system
    updates.

    Do not install this package from running Gnome session — Gnome Shell may hung and stop
    responding. Close your Gnome session, switch to the console and then install the package by
    'sudo dnf install --allowerasing ibus-stub'.
}

%prep

%build

%check

%install
%{__install} -D %{S:0} %{buildroot}/%{_pkgdocdir}/README.md

%files
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/README.md

%changelog

* Fri Mar 21 2025 Van de Bugger - 0.0.1-0.vdb.3
- vdb.lua is in dedicated package.

* Thu Feb 27 2025 Van de Bugger - 0.0.1-0.vdb.2
- README.md added.
- F41 rebuild.

* Mon Feb 12 2024 Van de Bugger - 0.0.1-0.vdb.1
- Initial release.
